Foreman - Refactor #14006

Mailers calling *_path with :only_path => false should use _url helpers
03/02/2016 08:01 AM - Dominic Cleal

Status: Closed
Priority: Normal
Assignee: Dominic Cleal
Category: E-Mail
Target version: 1.12.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3271
Description

All mailers that use *_path helpers and pass :only_path => false to get a URL should be changed to use *_url helpers instead, as this
is deprecated in Rails 4.2.

http://edgeguides.rubyonrails.org/4_2_release_notes.html#action-pack-deprecations

Related issues:
Related to Foreman - Refactor #15847: URL helpers must be used in mailers Closed 07/27/2016

Associated revisions

Revision eedc8706 - 03/06/2016 10:04 AM - Dominic Cleal
fixes #14006 - use URL helpers in mailers
Rails 4.2 deprecates mailers from using _path helpers and from path

helpers being called with only_path => false. They should all be
changed to use _url helpers.

History

#1 - 03/02/2016 09:58 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Dominic Cleal

- Pull request https://github.com/theforeman/foreman/pull/3271 added

#2 - 03/06/2016 11:01 AM - Dominic Cleal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset eedc8706e2723530746f7c¢9158bf30d2940657d0.

#3 - 03/07/2016 03:40 AM - Dominic Cleal

- translation missing: en.field_release set to 136

#4 - 07/27/2016 03:24 AM - Dominic Cleal
- Related to Refactor #15847: URL helpers must be used in mailers added

05/18/2024 1/1



http://edgeguides.rubyonrails.org/4_2_release_notes.html#action-pack-deprecations
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/eedc8706e2723530746f7c9158bf30d2940657d0
http://www.tcpdf.org

